lv.lumii.tda.raapi

## Interface RAAPI_WR

- All Superinterfaces:
    RAAPI

      public interface RAAPI_WR
      extends RAAPI

  RAAPI extended to support writable references, e.g., a class with a specified reference can be created

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `createAdvancedAssociation(java.lang.String name, boolean nAry, boolean associationClass, long r)`
    `boolean` | `createAssociation(long rSourceClass, long rTargetClass, java.lang.String sourceRole, java.lang.String targetRole, boolean isComposition, long r, long rInv)`
    `boolean` | `createAttribute(long rClass, java.lang.String name, long rType, long r)`
    `boolean` | `createClass(java.lang.String name, long r)`
    `boolean` | `createDirectedAssociation(long rSourceClass, long rTargetClass, java.lang.String targetRole, boolean isComposition, long r)`
    `boolean` | `createObject(long rClass, long r)`
    `long` | `getMaxReference()`
    `void` | `switchToEvenReferences()`

    - ### Methods inherited from interface lv.lumii.tda.raapi.RAAPI

      `callSpecificOperation, createAdvancedAssociation, createAssociation, createAttribute, createClass, createDirectedAssociation, createGeneralization, createLink, createObject, createOrderedLink, deleteAssociation, deleteAttribute, deleteAttributeValue, deleteClass, deleteGeneralization, deleteLink, deleteObject, deserializeReference, excludeObjectFromClass, findAssociationEnd, findAttribute, findClass, findPrimitiveDataType, freeIterator, freeReference, getAttributeDomain, getAttributeName, getAttributeType, getAttributeValue, getClassName, getInverseAssociationEnd, getIteratorForAllAttributes, getIteratorForAllClassObjects, getIteratorForAllIngoingAssociationEnds, getIteratorForAllLinguisticInstances, getIteratorForAllOutgoingAssociationEnds, getIteratorForClasses, getIteratorForDirectAttributes, getIteratorForDirectClassObjects, getIteratorForDirectIngoingAssociationEnds, getIteratorForDirectLinguisticInstances, getIteratorForDirectObjectClasses, getIteratorForDirectOutgoingAssociationEnds, getIteratorForDirectSubClasses, getIteratorForDirectSuperClasses, getIteratorForLinguisticClasses, getIteratorForLinkedObjects, getIteratorForObjectsByAttributeValue, getIteratorLength, getLinguisticClassFor, getLinkedObjectPosition, getPrimitiveDataTypeName, getRoleName, getSourceClass, getTargetClass, includeObjectInClass, isAdvancedAssociation, isAssociationEnd, isAttribute, isClass, isComposition, isDerivedClass, isDirectSubClass, isKindOf, isLinguistic, isPrimitiveDataType, isTypeOf, linkExists, moveObject, resolveIterator, resolveIteratorFirst, resolveIteratorNext, serializeReference, setAttributeValue`

- - ### Method Detail

    - #### getMaxReference

          long getMaxReference()

    - #### switchToEvenReferences

          void switchToEvenReferences()

    - #### createClass

          boolean createClass(java.lang.String name,
                              long r)

    - #### createObject

          boolean createObject(long rClass,
                               long r)

    - #### createAttribute

          boolean createAttribute(long rClass,
                                  java.lang.String name,
                                  long rType,
                                  long r)

    - #### createAssociation

          boolean createAssociation(long rSourceClass,
                                    long rTargetClass,
                                    java.lang.String sourceRole,
                                    java.lang.String targetRole,
                                    boolean isComposition,
                                    long r,
                                    long rInv)

    - #### createDirectedAssociation

          boolean createDirectedAssociation(long rSourceClass,
                                            long rTargetClass,
                                            java.lang.String targetRole,
                                            boolean isComposition,
                                            long r)

    - #### createAdvancedAssociation

          boolean createAdvancedAssociation(java.lang.String name,
                                            boolean nAry,
                                            boolean associationClass,
                                            long r)